View this project on [CADLAB.io](https://cadlab.io/project/24900). 

# CAS Radio-Revised-HW
**Common Avionics Stack - Raspberry Pi Radio Module - Hardware**

You may notice that for the most part this repository is mostly empty, thats because its your intro project, y'all get to collaborate and design it together!

Broadly, the Goal of the CAS Radio module is to communicate back and forth with the ground station radio. You will be using an AT86RF215 radio modem transciever to accomplish this through the mechanism of software-defined-radio.

## Requirements
**NOTE: These requirements are not hard and fast, they're more of a general sketch to help you get started (that's why they're version controlled in this repo)**

- The module should use an [AT86RF215](https://ww1.microchip.com/downloads/en/DeviceDoc/Atmel-42415-WIRELESS-AT86RF215_Datasheet.pdf) as its primary component
- The module should interface with the rpi and fpga present on the cas-core revision board. See [this page](https://github.com/calstar/cas-rpi-hw) for a description of what the cas-core revision board will look like. While you won't be designing that board, you will have the radio module connected to it with the 80-pin cas-stacking connector. The job of cas-core is to handle the computations and tell the radio module what to do.

If you don't understand why a requirement is a requirement ASK! It gives everyone a chance to learn something, and potentially weeds out bad requirements (if you don't know who to ask [use](https://git-scm.com/docs/git-blame) `git blame` on this doc)

## Advice

- This board is heavily based on a similar radio project from cariboulite, look at [their implementation](https://github.com/cariboulabs/cariboulite). They have a full, extensive schematic [here](https://github.com/cariboulabs/cariboulite/blob/main/hardware/rev2/schematics/cariboulite_r2.4_sch.PDF). Your finished board will probably be simpler than theirs (for example, we don't really need a mixer) and the rpi and fpga are already going to be located on the cas-core board, so you can just send wires over the 80-pin cas-stacking to communicate with them.
- You can review [this hackrf project](https://github.com/mossmann/hackrf) for inspiration, as it uses many similar components. Some of the components in their library have been added to our hardware-sch-blocks library for your convenience. You can also review [their full schematic](https://gist.github.com/ld-cd/84f4e10f8b580941ef5ad22b76f431c6/raw/e77412ebe9cc6d281d5194c8fb6b9eb7d591571e/hackrfschematic.pdf)
- Take a look at our [previous cas-radio board](https://cadlab.io/project/23053/4-layer/files) for inspiration. Your finished circuit should have a similar overall function, the main difference being that it uses the AT86RF215 to do most of the work.
- If you need to find a part look through [old STAR Boms](https://docs.google.com/spreadsheets/d/1M838_8nh2pIpD54oAmC5lU6rpCjADf4s9TbdaGZTc3o/edit#gid=0) or Boms from similar open source projects
- Use 0603 caps and resistors everywhere possible, for passives of the same value use the same part, and for low-speed applications use low-tolerance parts
- Route your high speed signals first and give them plenty of room
- Your final board should have 4 layers. The simplest stup for this is to have the first and last layers be front copper trace and back copper trace, respectively, while the inner two layers are a power plane and ground plane (a 'plane' is basically a copper pour over the entire layer).
- We're using the [BAC 4-layer standard capability](https://bayareacircuits.com/pcb-capabilities/). This will give you values for minimum trace width, minimum drill size, etc. Try to make your values a little larger than the absolute minimums so you have a bit of leeway.
